.outer {

    display: table;

    position: absolute;

    height: 99%;

    width: 99%;

}



.middle {

    display: table-cell;

    vertical-align: middle;

}



.inner {

	text-align:center;

    margin-left: auto;

    margin-right: auto; 

    width: 500px;/*whatever width you want*/;

}
.social img{padding:10px;}